#### PyKDE - Python Bindings for KDE

# class DOM.DOMException |
Table of contents
Modules
khtml Classes
All Classes

Module | khtml
Class | DOM.DOMException
Inherits |

### enums

- ExceptionCode = {INDEX_SIZE_ERR, DOMSTRING_SIZE_ERR, HIERARCHY_REQUEST_ERR, WRONG_DOCUMENT_ERR, INVALID_CHARACTER_ERR, NO_DATA_ALLOWED_ERR, NO_MODIFICATION_ALLOWED_ERR, NOT_FOUND_ERR, NOT_SUPPORTED_ERR, INUSE_ATTRIBUTE_ERR, INVALID_STATE_ERR, SYNTAX_ERR, INVALID_MODIFICATION_ERR, NAMESPACE_ERR, INVALID_ACCESS_ERR }

### methods

- DOMException (_code)

  returns a DOMException instance
  Argument | Type | Default
  --- | --- | ---
  _code | ushort |

- DOMException (other)

  returns a DOMException instance
  Argument | Type | Default
  --- | --- | ---
  other | DOM.DOMException |

### variables

- variables

  Variable | Type
  --- | ---
  code | ushort